Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513169 - Review Request: ghc-concurrent-extra - Extra concurrency primitives
Summary: Review Request: ghc-concurrent-extra - Extra concurrency primitives
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1513167
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 21:01 UTC by David Shea
Modified: 2017-12-12 13:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:19:03 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Shea 2017-11-14 21:01:25 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-concurrent-extra/ghc-concurrent-extra.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00611385-ghc-concurrent-extra/ghc-concurrent-extra-0.7.0.11-1.fc27.src.rpm
Description: The 'concurrent-extra' package offers among other things the following
selection of synchronisation primitives:

* 'Broadcast': Wake multiple threads by broadcasting a value.

* 'Event': Wake multiple threads by signalling an event.

* 'Lock': Enforce exclusive access to a resource. Also known as a binary
semaphore or mutex. The package additionally provides an alternative that works
in the 'STM' monad.

* 'RLock': A lock which can be acquired multiple times by the same thread.
Also known as a reentrant mutex.

* 'ReadWriteLock': Multiple-reader, single-writer locks. Used to protect shared
resources which may be concurrently read, but only sequentially written.

* 'ReadWriteVar': Concurrent read, sequential write variables.

Please consult the API documentation of the individual modules for more
detailed information.

This package was inspired by the concurrency libraries of Java and Python.

Fedora Account System Username: dshea

Comment 1 Omer Anson 2017-11-15 03:38:05 UTC
rpmlint complains about:
Error checking signature of ./1513169-ghc-concurrent-extra/srpm/ghc-concurrent-extra-0.7.0.11-1.fc27.src.rpm: ./1513169-ghc-concurrent-extra/srpm/ghc-concurrent-extra-0.7.0.11-1.fc27.src.rpm: digests SIGNATURES NOT OK

with rpm -Kv adding:
    Header V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
    V3 RSA/SHA1 Signature, key ID 76551145: NOKEY

note: rpmlint also complains about spelling, but it looks like a US/UK spelling differences or technical words (e.g. mutex, reentrant).

Changelog is incomplete.

Comment 2 Robert-André Mauchin 2017-11-15 15:11:47 UTC
Typo in description: signalling -> signaling


No issue otherwise, package accepted.

Comment 3 Gwyn Ciesla 2017-11-15 16:00:48 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-concurrent-extra

Comment 4 Fedora Update System 2017-11-29 18:55:20 UTC
ghc-concurrent-extra-0.7.0.11-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e23ab49fc

Comment 5 Fedora Update System 2017-11-29 19:09:55 UTC
ghc-concurrent-extra-0.7.0.11-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ab9b1e065

Comment 6 Fedora Update System 2017-12-02 19:53:06 UTC
ghc-concurrent-extra-0.7.0.11-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e23ab49fc

Comment 7 Fedora Update System 2017-12-02 22:38:50 UTC
ghc-concurrent-extra-0.7.0.11-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ab9b1e065

Comment 8 Fedora Update System 2017-12-12 11:19:03 UTC
ghc-concurrent-extra-0.7.0.11-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-12-12 13:42:20 UTC
ghc-concurrent-extra-0.7.0.11-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.